%define section   free
%define base_name commons-jelly-tags-validate
%define cvs_date  20031217
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}
Release:        0.b4.2jpp
Epoch:          0
Summary:        Commons Jelly Validate Tag Library

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/jelly/
Source0:        %{base_name}.cvs%{cvs_date}.tar.gz
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
# cvs -z3 -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic co -D December 17, 2003 10:00am jakarta-commons/jelly/jelly-tags/validate
Source1:        jelly-LICENSE.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
BuildRequires:  junit
BuildRequires:  dom4j
BuildRequires:  jakarta-commons-jexl
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-jelly = 0:1.0-0.b4.1jpp
BuildRequires:  jakarta-commons-jelly-tags-junit = 0:1.0-0.b4.1jpp
BuildRequires:  jakarta-commons-logging
BuildRequires:  msv-strict
BuildRequires:  isorelax
BuildRequires:  xsdlib
BuildRequires:  relaxngDatatype
BuildRequires:  jaxen
BuildRequires:  saxpath
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis
Requires:  dom4j
Requires:  jakarta-commons-jexl
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-cli
Requires:  jakarta-commons-jelly = 0:1.0-0.b4.1jpp
Requires:  jakarta-commons-logging
Requires:  msv-strict
Requires:  isorelax
Requires:  xsdlib
Requires:  relaxngDatatype
Requires:  jaxen
Requires:  saxpath
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis

%description
This is a Jelly interface for XML validation.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -n %{base_name}
cp %{SOURCE1} LICENSE.txt

%build
export CLASSPATH=$(build-classpath \
dom4j \
jaxen \
saxpath \
commons-jexl \
commons-beanutils \
commons-collections \
commons-cli \
commons-jelly \
commons-jelly-tags-junit \
commons-logging \
msv-strict \
isorelax \
xsdlib \
relaxngDatatype \
xerces-j2 \
xml-commons-apis \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{jakarta_version}-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

#javadoc
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.2jpp
- Replace nonfree msv with free isorelax xsdlib relaxngDatatype msv-strict
- Relax some versioned dependencies

* Fri Jan 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.1jpp
- First JPackage release
